Images (gCube Document Reporting Library 3.0.4-SNAPSHOT API)
Date: 2013-02-26

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.d4sreporting.common.client.uicomponents.richtext
Interface Images

All Superinterfaces:
  com.google.gwt.user.client.ui.ImageBundle

    public interface Images

extends com.google.gwt.user.client.ui.ImageBundle

This `ImageBundle` is used for all the button icons. Using an image bundle allows all of these images to be packed into a single image, which saves a lot of HTTP requests, drastically improving startup time.

Nested Class Summary

Nested classes/interfaces inherited from interface com.google.gwt.user.client.ui.ImageBundle
`com.google.gwt.user.client.ui.ImageBundle.Resource`

Method Summary
`com.google.gwt.user.client.ui.AbstractImagePrototype` | `bold()`
`com.google.gwt.user.client.ui.AbstractImagePrototype` | `createLink()`
`com.google.gwt.user.client.ui.AbstractImagePrototype` | `foreColors()`
`com.google.gwt.user.client.ui.AbstractImagePrototype` | `hr()`
`com.google.gwt.user.client.ui.AbstractImagePrototype` | `importing()`
`com.google.gwt.user.client.ui.AbstractImagePrototype` | `indent()`
`com.google.gwt.user.client.ui.AbstractImagePrototype` | `insertImage()`
`com.google.gwt.user.client.ui.AbstractImagePrototype` | `italic()`
`com.google.gwt.user.client.ui.AbstractImagePrototype` | `justifyCenter()`
`com.google.gwt.user.client.ui.AbstractImagePrototype` | `justifyLeft()`
`com.google.gwt.user.client.ui.AbstractImagePrototype` | `justifyRight()`
`com.google.gwt.user.client.ui.AbstractImagePrototype` | `newdoc()`
`com.google.gwt.user.client.ui.AbstractImagePrototype` | `ol()`
`com.google.gwt.user.client.ui.AbstractImagePrototype` | `open_template()`
`com.google.gwt.user.client.ui.AbstractImagePrototype` | `removeFormat()`
`com.google.gwt.user.client.ui.AbstractImagePrototype` | `removeLink()`
`com.google.gwt.user.client.ui.AbstractImagePrototype` | `save()`
`com.google.gwt.user.client.ui.AbstractImagePrototype` | `strikeThrough()`
`com.google.gwt.user.client.ui.AbstractImagePrototype` | `subscript()`
`com.google.gwt.user.client.ui.AbstractImagePrototype` | `superscript()`
`com.google.gwt.user.client.ui.AbstractImagePrototype` | `ul()`
`com.google.gwt.user.client.ui.AbstractImagePrototype` | `underline()`

Method Detail

### importing

    com.google.gwt.user.client.ui.AbstractImagePrototype importing()

  Returns:
    .

### bold

    com.google.gwt.user.client.ui.AbstractImagePrototype bold()

  Returns:
    .

### createLink

    com.google.gwt.user.client.ui.AbstractImagePrototype createLink()

  Returns:
    .

### hr

    com.google.gwt.user.client.ui.AbstractImagePrototype hr()

  Returns:
    .

### indent

    com.google.gwt.user.client.ui.AbstractImagePrototype indent()

  Returns:
    .

### insertImage

    com.google.gwt.user.client.ui.AbstractImagePrototype insertImage()

  Returns:
    .

### italic

    com.google.gwt.user.client.ui.AbstractImagePrototype italic()

  Returns:
    .

### justifyCenter

    com.google.gwt.user.client.ui.AbstractImagePrototype justifyCenter()

  Returns:
    .

### justifyLeft

    com.google.gwt.user.client.ui.AbstractImagePrototype justifyLeft()

  Returns:
    .

### justifyRight

    com.google.gwt.user.client.ui.AbstractImagePrototype justifyRight()

  Returns:
    .

### newdoc

    com.google.gwt.user.client.ui.AbstractImagePrototype newdoc()

  Returns:
    .

### open_template

    com.google.gwt.user.client.ui.AbstractImagePrototype open_template()

  Returns:
    .

### ol

    com.google.gwt.user.client.ui.AbstractImagePrototype ol()

  Returns:
    .

### removeFormat

    com.google.gwt.user.client.ui.AbstractImagePrototype removeFormat()

  Returns:
    .

### removeLink

    com.google.gwt.user.client.ui.AbstractImagePrototype removeLink()

  Returns:
    .

### save

    com.google.gwt.user.client.ui.AbstractImagePrototype save()

  Returns:
    .

### strikeThrough

    com.google.gwt.user.client.ui.AbstractImagePrototype strikeThrough()

  Returns:
    .

### subscript

    com.google.gwt.user.client.ui.AbstractImagePrototype subscript()

  Returns:
    .

### superscript

    com.google.gwt.user.client.ui.AbstractImagePrototype superscript()

  Returns:
    .

### ul

    com.google.gwt.user.client.ui.AbstractImagePrototype ul()

  Returns:
    .

### underline

    com.google.gwt.user.client.ui.AbstractImagePrototype underline()

  Returns:
    .

### foreColors

    com.google.gwt.user.client.ui.AbstractImagePrototype foreColors()

  Returns:
    .

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.